#include "target.h"
#include <cassert>
#include <cstdio>
#include <vector>

int main() {
    int n, C;
    assert(scanf("%d%d", &n, &C) == 2);

    std::vector<int> a(n), b(n);
    for (int i = 0; i < n; i++) {
        assert(scanf("%d", &a[i]) == 1);
    }
    for (int i = 0; i < n; i++) {
        assert(scanf("%d", &b[i]) == 1);
    }
    fclose(stdin);

    std::vector<int> answer = check_targets(a, b, C);
    int k = answer.size();

    int cnt = 0;
    for(int i = 0; i < k; ++i) {
        cnt += answer[i];
    }
    printf("%d\n", cnt);

    for(int i = 0; i < k; ++i) {
        printf("%d", answer[i]);
        if (i+1 == k)
            puts("");
        else
            printf(" ");
    }

    fclose(stdout);
}
